Grasshopper

algorithmic modeling for Rhino

VB, C# and Python Coding (3,785)

Discussions Replies Latest Activity

Numpy for Iron Python with ghpython / mtrand exceptions

Alot of people have had a similar issue with failing to find "mtrand" when running the numpy test file for ghpyhton, even after numpy has…

Started by person

3 Jun 9
Reply by Yuko Ishizu

Rhino.Geometry.Brep vs Rhino.Geometry.Brep[]

Hi everyone, I am trying to iterate over a list of solids, adding one solid via boolean union at a time since  joining them together all at…

Started by Messismore

10 Jun 9
Reply by Messismore

How to register input/output params dynamically (C# -> VS)

Hi, I'm working on a F# script component written in C# for Grasshopper. What I have managed so far is to compile code in F# in Grasshopper…

Started by Tom Jankowski

13 Jun 9
Reply by David Rutten

SaveAs Rhino activedoc via Python or C#

Hey all, I am working on a python component that automates the generation of folders and saving out of both the active grasshopper documen…

Started by David Birge

1 Jun 8
Reply by David Birge

Drawing lines depending if points exsist

I am trying to use an if statement to determine how to draw lines based of if points exist or not. I am not sure what to say in my if state…

Started by Ryan Zeringue

2 Jun 8
Reply by Ryan Zeringue

Script control of GraphMapper

I'm trying to control a GraphMapper from inside a Python script. I've been able to adjust the graph limits like: myGraph.Container.X1=slide…

Started by trevor.patt

1 Jun 8
Reply by Julien DEFFONTAINES

python if statement

hi, i searched a bit but it just made me confused more, i need a simple piece of code, anyone can help? there is a slider connected to x…

Started by deli dumrul

2 Jun 8
Reply by deli dumrul

Automatically generate value list

I'm writting a C# assembly component, and I want to automatically generate a value list input. I've got it working for components that have…

Started by Aidan K

3 Jun 7
Reply by Julien DEFFONTAINES

Points from parameter as list in Python component

Hi! I have a very simple problem: I import some points (for now, just 6) from rhino into the normal point parameter in GH ('set multiple po…

Started by Lasse Hamborg

1 Jun 6
Reply by Alik Sumin

Cast GH_Mesh to Rhino.Geometry.Mesh

Hi, How can I correctly cast GH_Mesh to Rhino.Geometry mesh in the line marked below? foreach (System.Object g in this.input) {  if (g.…

Started by Petras Vestartas

8 Jun 6
Reply by Petras Vestartas

RSS

Translate

Search Grasshopper

Photos

  • Add Photos
  • View All

© 2016   Created by Scott Davidson.   Powered by

Badges  |  Report an Issue  |  Terms of Service